<ion-content>
  <img src="./assets/logo.jpg">
  
  <form [formGroup]="angForm" (ngSubmit)="postdata(angForm)" autocomplete="off" >
    <ion-grid>
      <ion-row>
        <ion-col size="12">
          <ion-card [ngStyle]="{'border-top':'5px solid #2f78df'}">
            <ion-card-header class="ion-text-center">
              <ion-label [ngStyle]="{'font-size':'30px', 'font-weight':'1000', 'color':'#746455'}">Log In</ion-label>
              <ion-card-subtitle color="dark"><i>Medicine at your Door Step</i></ion-card-subtitle>
            </ion-card-header>

            <ion-card-content>
              <ion-col size="12">
                <div>
                  <ion-item id="log-input" lines="none">
                    <ion-input placeholder="Email Address" type="email" name="email" formControlName="email" autocomplete="off">
                      <ion-label><ion-icon name="person-circle-outline" size="large"></ion-icon></ion-label>
                    </ion-input>
                  </ion-item>
                </div>
              </ion-col>
              
              <ion-col size=12>
                <div class="ion-text-center">
                  <ng-container *ngFor="let validation of message.email">
                    <div class="error_message" *ngIf="angForm.get('email').hasError(validation.type) && (angForm.get('password').dirty || angForm.get('email').touched)">
                      {{validation.message}}
                    </div>
                  </ng-container>
                </div>
              </ion-col>

              <ion-col size="12">
                <div>
                  <ion-item id="log-input" lines="none">
                    <ion-input placeholder="Password" type="password" name="Password" formControlName="password" autocomplete="off">
                      <ion-label><ion-icon name="lock-closed" size="large"></ion-icon></ion-label>
                    </ion-input>
                  </ion-item>
                </div>
              </ion-col>
              
              <ion-col size=12>
                <div class="ion-text-center">
                  <ng-container *ngFor="let validation of message.password">
                    <div class="error_message" *ngIf="angForm.get('password').hasError(validation.type) && (angForm.get('password').dirty || angForm.get('email').touched)">
                      {{validation.message}}
                    </div>
                  </ng-container>
                </div>
              </ion-col>
                    
              <ion-col size="12">
                <div class="ion-text-center">
                  <ion-button shape="round" class="log-btn" type="submit" [disabled]="!angForm.valid">LOGIN</ion-button>
                  <ion-button [routerLink]="['/createacc']"shape="round" class="log-btn" >Create Account</ion-button>
                </div>
              </ion-col>
            </ion-card-content>
          </ion-card>
        </ion-col>
      </ion-row>
    </ion-grid>
  </form>
</ion-content>
    
